View Issue Details

IDProjectCategoryView StatusLast Update
0000054checkmail[All Projects] Generalpublic2016-01-09 12:22
ReporterthhAssigned Tothh 
PrioritynormalSeverityminorReproducibilityalways
Status resolvedResolutionfixed 
ProjectionnoneETAnone 
Product Version0.6Product Build 
Target Version0.7Fixed in Version 
Summary0000054: Empty envelope from cannot be set via '-s'
DescriptionOne cannot use an empty envelop from ('<>') using -s on the command line.
Steps To Reproduce$ checkmail.pl -l -s '' thh@inter.net

checkmail will use the configured default instead.
Additional Information# -s / -e: override configuration
$config{'from'} = $options{'s'} if $options{'s'};

$options{'s'} is false when ''.
TagsNo tags attached.

Activities

thh

thh

2016-01-09 12:22

administrator   ~0000068

Fix committed to master branch as 240c1264843ff6061f723369d95d4d605903ccdd: Allow setting an empty envelope-from using '-s'.

Change documentation accordingly.
Update version and copyright dates.
Fixes 0000054.

Signed-off-by: Thomas Hochstein <thh@inter.net>

Related Changesets

checkmail: master 240c1264

2016-01-09 11:15:42

thh

Details Diff
Allow setting an empty envelope-from using '-s'.

Change documentation accordingly.
Update version and copyright dates.
Fixes 0000054.

Signed-off-by: Thomas Hochstein <thh@inter.net>
mod - ChangeLog Diff File
mod - checkmail.pl Diff File

Issue History

Date Modified Username Field Change
2014-06-18 15:45 thh New Issue
2014-06-18 15:46 thh Status new => confirmed
2015-01-28 05:09 thh Target Version => 0.7
2016-01-09 12:22 thh Changeset attached => checkmail master 240c1264
2016-01-09 12:22 thh Note Added: 0000068
2016-01-09 12:22 thh Assigned To => thh
2016-01-09 12:22 thh Status confirmed => resolved
2016-01-09 12:22 thh Resolution open => fixed